Gimp-2.7.4.

Discussion in 'GIMP News' started by Rod, Nov 18, 2011.

  1. Rod

    Rod Moderator Staff Member

    Joined:
    Apr 19, 2010
    Messages:
    1,740
    Likes Received:
    0
    Trophy Points:
    36
    Check it out ... i compiled my first Gimp-2.7.4!
    <a class="postlink" href="http://simplysignage.110mb.com/blog/blog/index.php?entry=entry111118-090543" onclick="window.open(this.href);return false;">http://simplysignage.110mb.com/blog/blo ... 118-090543</a>

    You will find more Gimp-2.7.4 plugins in the left menu also. :)
    I will be doing much, much more in the future.

    My build environment is setup for Gimp-2.7 though so nothing Gimp-2.6 will be compiled.
    SamJ does most of those anyways.Gimp-2.8 will be released soon and i want to be able to build the betas from it.

    Peace!


    -Rod
  2. Rod

    Rod Moderator Staff Member

    Joined:
    Apr 19, 2010
    Messages:
    1,740
    Likes Received:
    0
    Trophy Points:
    36
    Okay i created an installer.
    Anyone want to test it?
    I already did on my Windows 32 XP system and it worked excellent.
    Just a few things to mention
    1) If you want python it is enabled you just need Python27 installed.
    2) On launch there are 2 errors for TIFF images load and save.Just delete the tiff plugins in the plug-ins folder.
    file-tiff-load.exe and file-tiff-save.exe
    I will fix this later.Or keep them.Gimp runs fine without them you just can not use Tiff images for some reason.I do not know why this occurs as i have the Tifflibs installed and working.(they should have compiled correctly).
    I will either fix this or remove the tiff plugins all together later.
    3) This install default installs into C:\Program Files\Gimp-2.7.4
    4) There is no shortcut created on the desktop either so you will have to create your own.
    5) This install also creates a debug window (development default).This is a usual occurrence for debugging Gimp on launch, and while executing commands while Gimp runs.

    That is about it other than if on launch PLUGINS do not load - set the PATH variable.
    C:\Program Files\Gimp-2.7.4\gimp-2.7.4\bin

    Any takers? :)
    Below url takes you to download page. (28.9 mb)
    Download
  3. Maffe811

    Maffe811 The forum pet Staff Member

    Joined:
    Jul 2, 2009
    Messages:
    6,811
    Likes Received:
    1
    Trophy Points:
    38
    Location:
    Norway/Norge/Norwegen
    I can test on Win7 Enterprise.
    If you want i could download virtual box and install Vista :p
    Its kinda wierd, cause when we got our computers from school they had Win7 Enterprise, but in the bag there was a cd with Vista ... :p
  4. David Wood

    David Wood Active Member

    Joined:
    Jul 22, 2009
    Messages:
    5,472
    Likes Received:
    0
    Trophy Points:
    36
    Occupation:
    Freelance graphic designer and visual effects arti
    Location:
    Western New York
    Home page:
    Congrats Rod, but I'm still gonna stick with 2.6.
  5. Maffe811

    Maffe811 The forum pet Staff Member

    Joined:
    Jul 2, 2009
    Messages:
    6,811
    Likes Received:
    1
    Trophy Points:
    38
    Location:
    Norway/Norge/Norwegen
    Yeah, im sticking with 2.6 aswell :p
    I downloaded a swf downloader to get a flash game.
    But it had a built in software updater checking thing (Ad) and it said "New version of gimp: 3.1 something" :p

    But, i got an error message:
    "Blablabla... Libglib-2.0-0.dll is missing. Blablabla" im running x64, is that the error ?...
  6. Rod

    Rod Moderator Staff Member

    Joined:
    Apr 19, 2010
    Messages:
    1,740
    Likes Received:
    0
    Trophy Points:
    36
    Maffe , Gimp comes with all it's own libraries and shouldn't tell you some are missing.
    I compiled the latest GIT developer version of BABL, GEGL, and Gimp-2.7.4.
    As far as i know Gimp-3.0 versions are still on the drawing board.

    If Gimp-2.8 isn't out within 2 more weeks i will be compiling the latest GIT version again.
    Meanwhile if you guys see any plugins written in C that you would like compiled to try them, holler at me or point me to the source files and i will try and compile them for you.

    Thanks guys,
    -Rod
  7. Maffe811

    Maffe811 The forum pet Staff Member

    Joined:
    Jul 2, 2009
    Messages:
    6,811
    Likes Received:
    1
    Trophy Points:
    38
    Location:
    Norway/Norge/Norwegen
    Idk, ill try to re install ;)
  8. Rod

    Rod Moderator Staff Member

    Joined:
    Apr 19, 2010
    Messages:
    1,740
    Likes Received:
    0
    Trophy Points:
    36
    I compiled Gimp-2.6.11
    So now i can compile 2.6 or 2.7/2.8 plugins :)
    I was told it doesn't install at all on Windows 7 and i really would like to see that tested again.
    Can someone running Windows 7 tell me the Program File PATH for this platform?

    Is it the same as Windows XP?
    C:\Program Files
  9. Maffe811

    Maffe811 The forum pet Staff Member

    Joined:
    Jul 2, 2009
    Messages:
    6,811
    Likes Received:
    1
    Trophy Points:
    38
    Location:
    Norway/Norge/Norwegen
    for 2.7 or 2.6 ?

    2.6:
    C:\Program Files\GIMP (64-bit version)
  10. Rod

    Rod Moderator Staff Member

    Joined:
    Apr 19, 2010
    Messages:
    1,740
    Likes Received:
    0
    Trophy Points:
    36
    Sorry Maffe, Gimp-2.7 is what i was talking about.
    My compile for Gimp-2.6.11 went fine and worked well.
    However my compile for the last dev version of Gimp-2.4 (2.5 really), went pretty nasty.

    There is a final release for Windows builds available at the Sourceforge site now.Official developers release.
    Pretty nice setup. :)
    The new installer is real cool, and much better.

Share This Page